LSBLK(8)

NOM
lsblk - Afficher les périphériques bloc

SYNOPSIS
lsblk [options]

lsblk [options] périphérique ...

DESCRIPTION
lsblk affiche des renseignements sur tout ou partie des périphériques bloc. La commande lsblk lit le système de fichier sysfs pour obtenir des renseignements.

La commande affiche tous les périphériques bloc (sauf les disques RAM) au format arborescent par défaut. Utilisez lsblk --help pour obtenir une liste de toutes les colonnes disponibles.

OPTIONS

-a, --all
    Afficher tous les périphériques bloc.

-b, --bytes
    Afficher la taille (colonne SIZE) en octet plutôt qu'en format lisible.

-d, --nodeps
    N'afficher ni les esclaves ni les porteurs. Par exemple, lsblk --nodeps /dev/sda n'affiche que les renseignements relatifs au périphérique sda.

-D, --discard
    Afficher des renseignements sur les capacités d'abandon (TRIM, UNMAP) de chaque périphérique.

-e, --exclude liste
    Exclure les périphériques indiqués par une liste séparée par des virgules de numéros majeurs. Remarquez que par défaut, les disques RAM (majeur=1) sont exclus.

-f, --fs
    Afficher des renseignements sur les systèmes de fichiers. Cette option est équivalente à -o NAME,FSTYPE,LABEL,MOUNTPOINT. Les renseignements officiels sur les systèmes de fichiers et les RAID sont fournis par la commande blkid(8).

-h, --help
    Afficher un texte d'aide puis quitter.

-i, --ascii
    Utiliser des caractères ASCII pour le formatage d'arborescence.

-m, --perms
    Afficher des renseignements sur les propriétaire, groupe et mode et du périphérique. Cette option est équivalente à -o NAME,SIZE,OWNER,GROUP,MODE.

-l, --list
    Utiliser l'affichage au format liste.

-n, --noheadings
    Ne pas afficher de ligne d'en-tête.

-o, --output liste
    Indiquer les colonnes à afficher. Utilisez --help pour obtenir une liste de toutes les colonnes disponibles.

-P, --pairs
    Utiliser le format de sortie clef="valeur".

-r, --raw
    Utiliser l'affichage au format brut.

-l, --topology
    Afficher des renseignements sur la topologie du périphérique bloc. Cette option est équivalente à -o NAME,ALIGNMENT,MIN-IO,OPT-IO,PHY-SEC,LOG-SEC,ROTA,SCHED.

NOTES
Certains renseignements de partitions (par exemple les attributs de file) sont hérités du périphérique parent.

AUTEURS
Milan Broz <mbroz@redhat.com>
Karel Zak <kzak@redhat.com>

VOIR AUSSI
findmnt(8), blkid(8), ls(1)

DISPONIBILITÉ
La commande lsblk fait partie du paquet util-linux, elle est disponible sur <URL:ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.